FDatasmithLevelSequenceImporter::CanImportLevelSequence

Checks if we parsed and created all necessary [ULevelSequence](API\Runtime\LevelSequence\ULevelSequence) assets that need to be used as subsequences by the IDatasmithSubsequenceAnimationElements contained in LevelSequenceElement

Choose your operating system:

Windows

macOS

Linux

References

Module

DatasmithImporter

Header

/Engine/Plugins/Enterprise/DatasmithImporter/Source/DatasmithImporter/Public/DatasmithLevelSequenceImporter.h

Include

#include "DatasmithLevelSequenceImporter.h"

Source

/Engine/Plugins/Enterprise/DatasmithImporter/Source/DatasmithImporter/Private/DatasmithLevelSequenceImporter.cpp

Syntax

static bool CanImportLevelSequence
(
    const TSharedRef< IDatasmithLevelSequenceElement > & LevelSequenceElement,
    const FDatasmithImportContext & InImportContext
)

Remarks

Checks if we parsed and created all necessary ULevelSequence assets that need to be used as subsequences by the IDatasmithSubsequenceAnimationElements contained in LevelSequenceElement